Subject: Re: BUG: "cherry-pick A..B || git reset --hard OTHER"

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Dec 2016 10:07:00 -0800

Duy Nguyen <[email-masked]> writes:

> On Thu, Dec 8, 2016 at 3:04 AM, Junio C Hamano <[email-masked]> wrote:
>> Stephan Beyer <[email-masked]> writes:
>>
>>> [1] By the way: git cherry-pick --quit, git rebase --forget ...
>>> different wording for the same thing makes things unintuitive.
>>
>> It is not too late to STOP "--forget" from getting added to "rebase"
>> and give it a better name.
>
> Having the same operation with different names only increases git
> reputation of bad/inconsistent UI. Either forget is renamed to quit,
> or vice versa. I prefer forget, but the decision is yours and the
> community's. So I'm sending two patches to rename in either direction.
> You can pick one.

I actually was advocating to remove both by making --abort saner.
With an updated --abort that behaves saner, is "rebase --forget"
still necessary?